Skip to main content
`Ctrl`+`K`

# PetscSpaceSumGetInterleave

Get whether the basis functions and components of a uniform sum are interleaved

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSumGetInterleave(PetscSpace sp, PeOp PetscBool *interleave_basis, PeOp PetscBool *interleave_components)

Logically collective

## Input Parameter

- sp - a `PetscSpace` of type `PETSCSPACESUM`

## Output Parameters

- interleave_basis - if `PETSC_TRUE`, the basis vectors of the subspaces are interleaved

- interleave_components - if `PETSC_TRUE` and the space concatenates components (`PetscSpaceSumGetConcatenate()`), interleave the concatenated components

## See Also

`PetscSpace`, `PETSCSPACESUM`, `PETSCFEVECTOR`, `PetscSpaceSumSetInterleave()`

## Level

developer

## Location

src/dm/dt/space/impls/sum/spacesum.c

## Implementations

PetscSpaceSumGetInterleave_Sum() in src/dm/dt/space/impls/sum/spacesum.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages